package com.tutego.insel.object.equals;

public class Club
{
  int numberOfPersons;
  int qm;

  @Override
  public boolean equals( Object o )
  {
    if ( o == null )
      return false;
  
    if ( o == this )
      return true;
  
    if ( ! o.getClass().equals(getClass()) )
      return false;
  
    Club that = (Club) o;
    
    return    this.numberOfPersons == that.numberOfPersons
           && this.qm == that.qm;
  }
}
